#### D.7.3.13 ReynoldsOperator

Procedure from library `rinvar.lib` (see rinvar_lib).

Usage:
  ReynoldsOperator(G, action [, opt]); ideal G, action; int opt

Purpose:
  compute the Reynolds operator of the group G which acts via 'action'

Return:
  polynomial ring R over a simple extension of the ground field of the basering (the extension might be trivial), containing a list 'ROelements', the ideals 'id', 'actionid' and the polynomial 'newA'. R = K(a)[s(1..r),t(1..n)].
  - 'ROelements' is a list of ideals, each ideal represents a substitution map F : R -> R according to the zero-set of G - 'id' is the ideal of G in the new ring
  - 'newA' is the new representation of a' in terms of a. If the basering does not contain a parameter then 'newA' = 'a'.

Assume:
  basering = K[s(1..r),t(1..n)], K = Q or K = Q(a') and minpoly != 0, G is the ideal of a finite group in K[s(1..r)], 'action' is a linear group action of G

User manual for Singular version 4.4.1, 2025, generated by texi2html.